Subject: Re: [PATCH v2 0/7] Final optimization batch (#15): use memory pools

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Jul 2021 13:48:04 -0700

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> On Thu, Jul 29, 2021 at 12:20:13PM -0400, Jeff King wrote:
>>
>>> I assume your tests are just done using the regular glibc allocator. I
>>> also wondered how plugging in a better allocator might fare. Here are
>>> timings I did of your mega-renames case with three binaries: one built
>>> with USE_MEMORY_POOL set to 0, one with it set to 1, and one with it set
>>> to 0 but adding "-ltcmalloc" to EXTLIBS via config.mak.
>>
>> Oh, btw, I wasn't able to apply your series from the list on top of
>> en/ort-perf-batch-14 (there are some problems in patch 4, and "am -3"
>> says my clone of git.git is missing some of the pre-image sha1s). I
>> fetched ort-perf-batch-15 from https://github.com/newren/git and timed
>> that, which I imagine is the same. But you may need to tweak the patches
>> so that Junio can pick them up.
>
> Thanks, but the batch #15 has been in 'seen' since 23rd ;-)

Oh, that is the previous round.  I haven't had the chance to pick up
this new round.